GEM(4)

NAME
gem - GEM/GMAC Ethernet device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device miibus
device gem

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_gem_load="YES"

DESCRIPTION
The gem driver provides support for the GMAC Ethernet hardware found mostly in the last Apple PowerBooks G3s and most G4-based Apple hardware.

All controllers supported by the gem driver have TCP checksum offload capability for both receive and transmit, support for the reception and transmission of extended frames for vlan(4) and a 512-bit multicast hash filter.

HARDWARE
Chips supported by the gem driver include:

•   Apple GMAC
•   Sun GEM Gigabit Ethernet

The following add-on cards are known to work with the gem driver at this time:

•   Sun Gigabit Ethernet PCI 2.0/3.0 (GBE/P) (part no. 501-4373)

SEE ALSO
altq(4), miibus(4), netintro(4), vlan(4), ifconfig(8)

HISTORY
The gem device driver appeared in NetBSD 1.6. The first FreeBSD version to include it was FreeBSD 5.0.

AUTHORS
-nosplit The gem driver was written for NetBSD by Eduardo Horvath <eeh@NetBSD.org>. It was ported to FreeBSD by Thomas Moestl <tmm@FreeBSD.org> and later on improved by Marius Strobl <marius@FreeBSD.org>. The man page was written by Thomas Klausner <wiz@NetBSD.org>.